diff -Nurp '--exclude=.bzr*' tin-2.6.4/doc/CHANGES tin-2.6.5/doc/CHANGES
--- tin-2.6.4/doc/CHANGES	2024-12-23 10:51:02.000000000 +0100
+++ tin-2.6.5/doc/CHANGES	2025-12-23 04:06:10.050955264 +0100
@@ -1,3 +1,144 @@
+-- 2.6.5 release 20251224 "Glenury" --
+
+ 030) Thomas E. Dickey <dickey@invisible-island.net>
+      ADD. update configure macros
+      FIX. aclocal.m4
+
+ 029) Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>
+      ADD. Romanian translation
+      FIX. ro.po
+
+ 028) Bjarni Ingi Gislason <bjarniig@simnet.is>
+      ADD. manpage fixes (debian bug #1093395, #1096177)
+      FIX. tin.[15]
+
+ 027) Dennis Preiser <dennis@d--p.de>
+      ADD. avoid macro in snprintf() as that might be a macro too
+      ADD. fallback code for the !CPP_DOES_CONCAT case
+      ADD. plural forms
+      ADD. prefer MIME filename*-parameter over filename-parameter
+      ADD. if a MIME filename parameter is empty after path removal fallback
+           to the next filename parameter if available.
+      ADD. PageToggleVerbatim (,)
+      ADD. validate undeclared_charset in 'M'enu
+      ADD. extend verbatim_handling options
+      ADD. ignore col_invers_bg == col_invers_fg == -1
+      ADD. page_yenc_format
+      ADD. per scope hide_inline_data via attributes
+      ADD. cleanup draw_page_header(), fmt_option_prompt()
+      ADD. color the color-menu items while selecting the color
+      ADD. serverrc-menu via ConfigServerrcMenu ('s')
+      ADD. per scope getart_limit via attributes
+      ADD. indicators in scopes menu to show which scopes do match
+           the current group (scope_marked_global_match,
+           scope_marked_local_match)
+      ADD. make the mark in scopes menu for global/local scopes
+           configurable (scope_marked_global, scope_marked_local)
+      BUG. -L/'L' did depend on sort_article_type/sort_threads_type
+           and failed for some combinations
+      BUG. possible memleaks
+      BUG. layout issue with multibyte chars on posting history screen
+      BUG. IGNORE_ART() macro didn't honor kill_level == KILL_THREAD
+      BUG. possible buffer overflow with -C
+      FIX. active.c, art.c, attrib.c, charset.c, color.c, config.c, cook.c
+           curses.c, feed.c, filter.c, global.c, group.c, header.c, help.c
+           init.c, keymap.c, lang.c, main.c, makecfg.c, memory.c, misc.c
+           nntplib.c, options_menu.c, page.c, post.c, prompt.c, refs.c
+           rfc2045.c, rfc2046.c, rfc2047.c, save.c, search.c, select.c
+           signal.c, string.c, tcurses.c, thread.c, xref.c, extern.h, keymap.h
+           proto.h, rfc2046.h, tin.h, tinrc.h, tincfg.tbl, tin.[15]
+
+ 026) Urs Janssen <urs@tin.org>
+      ADD. avoid bison warning
+      ADD. use ngettext(3) for plural-forms
+      ADD. avoid "install -D"
+      ADD. --with-url-normalization[=[uriparser,curl] (default: yes)
+           check for liburiparser or libcurl for URL normalization
+      ADD. if reading via NNTP Message-ID 'L'ookup in group-, thread- and
+           page level now try to find the ID via NNTP if the ID is not in
+           the current group
+      ADD. adjust IPv6 part of URL_REGEX
+      ADD. do not check for libgsasl but zlib if not using NNTP
+      ADD. move setlocale in write_overview() out of the loop
+      ADD. reject invalid undeclared_charset in attributes
+      ADD. if cache_overview_files is set, keep raw Subject and From
+           data so the cache is build with the original data instead
+           of trying recompile it from our preprocessed data.
+      ADD. hash Path in overview-data
+      ADD. Xref- and Path-filter to filter-menu
+      ADD. ToggleInfoLastLine ('i') to OptionMenu ('M')
+      ADD. ConnectionInfo ('J') to OptionMenu ('M') and PageViewAttach ('V')
+      ADD. configure check for getsockopt(), setsockopt(), posix_close(),
+           realpath(), lstat(), strptime(), sig_atomic_t, volatile
+      ADD. set TCP_USER_TIMEOUT or TCP_CONNECTIONTIMEOUT and
+           TCP_RXT_CONNDROPTIME if available
+      ADD. use truncate/append for .oldnewsrc (debian bug #151113)
+      ADD. detect "begin-encoded" as start of an uuencoded file with
+           a base64 encoed filename.
+      ADD. hide_inline_data (was hide_uue) now also can hide (partial) yenc,
+           inline pgp and shar
+      ADD. crc32()-fallback from Gary S. Brown
+      ADD. hideline_regex tinrc/'M'enu option similar to trn4 $HIDELINE
+      ADD. merge is_art_tex_encoded() into process_text_body_part()
+      ADD. ALPN with TLS (RFC 7301)
+      ADD. add_cmd_line_opts and disabled_nntp_cmds to serverrc, the later
+           must be used to replace the now dropped --disable-xhdr-xref and
+           --enable-broken-listgroup-fix configure options
+      ADD. cache_overview_files and compress_overview_files to serverrc
+      ADD. nntp_pipeline_limit to serverrc (DISABLE_PIPELINING replacement)
+      ADD. keep_expired_filters to keep expired rules (debian bug #1109039)
+      ADD. -n cmd.line.grp now also allows to specify a group not present in
+           newsrc yet (same for -nw)
+      ADD. 'g'oto group now works with -n even if group is not present in
+           newsrc
+      ADD. -L/'L'ookup Message-ID now works with -n even if Message-ID is in
+           a group not present in newsrc.
+      ADD. 'S'ubscribe pattern with -n may now work for groups not in newsrc
+           yet (local spool with active file and/or RFC 3977 server only)
+      ADD. config.guess, config.sub update
+      ADD. lower 8bit check for Newsgroups, Followup-To and Distribution
+           from error to warning
+      ADD. prefer Xref- over Newsgroups-header if performing Message-ID
+           lookups via NNTP
+      ADD. lookup "DISTRIB.PATS" and use as default for Distribution
+      ADD. lookup "DISTRIBUTIONS" descriptions and display if available
+      ADD. evaluate To/Cc/Bcc in mailing_list-groups (debian bug #250317)
+      ADD. cache connectioninfo and help pages during session once created
+      ADD. show group-flag on check article page
+      ADD. warn about moderated groups on check article page
+      ADD. print expected file versions with -vvV
+      ADD. MarkAncientArtRead ('^E') to mark old articles as read in select-
+           and group-level
+      ADD. improve -u performance
+      BUG. do not validated news_regex URIs with libcurl/liburiparser
+      BUG. in NO_LOCALE config get_author() could write outside the
+           allocated screen-memory
+      BUG. positive getart_limit had several bugs
+      BUG. -F was not mentioned in -h
+      BUG. mixed up error-messages
+      BUG. missing checks for empty string in From
+      BUG. possible memleaks
+      BUG. "posting" to mailgroups (mailing_list=) wasn't allowed if the
+           group had one of the [jnx]-flags, and the moderated warning
+           was given if it had the m-flag.
+      BUG. double-free group-name on a 502 response to GROUP
+      REM. ISO2ASC=6 (CP437) table
+      REM. configure check for atoi()
+      FIX. active.c, art.c, attrib.c, auth.c, charset.c, config.c, cook.c
+           crc32.c, debug.c, feed.c, filter.c, getline.c, group.c, header.c
+           help.c, init.c, keymap.c, lang.c, mail.c, main.c, makecfg.c
+           memory.c, misc.c, newsrc.c, nntplib.c, nntps.c, nrctbl.c
+           options_menu.c, page.c, pgp.c, post.c, prompt.c, regex.c, rfc1524.c
+           rfc2045.c, rfc2047.c, save.c, screen.c, search.c, select.c, signal.c
+           string.c, tags.c, thread.c, xref.c, extern.h, keymap.h, nntplib.h
+           policy.h, proto.h, rfc2046.h, tin.h, tinrc.h, parsdate.y
+           autoconf.h[in], tincfg.tbl, Makefile[.in], configure[.in]
+           config.guess, config.sub, tin.[15]
+
+ 025) Toomas Soome <tsoome@me.com>
+      ADD. updated Estonian translation
+      FIX. et.po
+
 -- 2.6.4 release 20241224 "Helmsdale" --
 
  024) Bjarni Ingi Gislason <bjarniig@simnet.is>
diff -Nurp '--exclude=.bzr*' tin-2.6.4/doc/CHANGES.old tin-2.6.5/doc/CHANGES.old
--- tin-2.6.4/doc/CHANGES.old	2023-10-29 23:26:02.000000000 +0100
+++ tin-2.6.5/doc/CHANGES.old	2025-07-21 15:32:40.291972160 +0200
@@ -2775,7 +2775,7 @@ U089) Urs Janssen <urs@tin.org>
       ADD. prefer inews_prog over INEWSDIR/inews -h
       REM. --enable-mmdf-mailer, HAVE_MBOXRD, save_to_mmdf_mailbox
       REM. check for OK_NOIHAVE, OK_NOPOSTIHAVE responses to MODE READER,
-           they are no loner mentioned in the draft
+           they are no longer mentioned in the draft
       BUG. p'^O'st postponed articles didn't respect attributes
       BUG. $EDITOR had higher priority as $VISUAL (introduced in 006;
            never trust your local guru!)
diff -Nurp '--exclude=.bzr*' tin-2.6.4/doc/CREDITS tin-2.6.5/doc/CREDITS
--- tin-2.6.4/doc/CREDITS	2024-12-17 17:50:52.000000000 +0100
+++ tin-2.6.5/doc/CREDITS	2025-10-30 08:51:31.150287203 +0100
@@ -1,74 +1,81 @@
 I wish to thank the following people for supplying patches:
 
-David Abbott, Earle Ake, Deniz Akkus, Russ Allbery, Matt Anton, Orbby S. Arka,
-Stefan Assmann, Joachim Astel, Anton Aylward, Mark Ayzenshteyn,
-Jens Chr. Bachem, Michael Baeuerle, George Baltz, Dieter Baron,
-Volker Barthelmann, Kirk Bauer, Paul Bauwens, Dieter Becker, Wolfgang Behrens,
-Fabrice Bellet, Greg Berigan, Enrik Berkhan, Juergen Bernau, Dan Berry,
-Michael Bienia, David Binderman, Thomas Bliem, Andrey Blochintsev, Chris Blum,
-Fokke de Boer, Henryk Bochmann, Andreas Borchert, Volker Borchert,
-Sebastian Bork, Mark Boucher, Robert Brady, Peter Breitenlohner,
-Jessica Brennan, Frederic Briere, Bill Brolik, Travis Brown, Herman ten Brugge,
-Martin Buck, Matthias Buelow, Jeremy Buhler, Leila Burrell-Davis, Sean Casey,
-Peter Castro, Troy Cauble, Wei-Lun Chao, Andrey A. Chernov,
-Albert Chin-A-Young, Park Chong-Dae, Tan Kwee Chuan, Boleslaw Ciesielski,
-Robert Claeson, Steven Cogswell, Don Costello, Joshua Crawford, Bryan Curnutt,
-Ned Danieley, Lars Dannenberg, Chris Davies, John Davis, Borislav Deianov,
-Thomas E. Dickey, Martin Dickopp, Olaf Dietrich, Herbert Martin Dietze,
-Theo Van Dinter, Ralf Doeblitz, Bryan Dongray, Michael Douglass,
-Nickolay Dudorov, Craig Durland, Bernd Eckenfels, Phil Edge, Kirk Edson,
-Nick Efthymiou, Stefan Elf, Nigel Ellis, Andrei Emeltchenko, L. Scott Emmons,
-Rob Engle, Olle Eriksson, Brent Ermlick, Bernd Ernesti,
-Ragnar Hojland Espinosa, Jason Faultless, Michael Faurot, Werner Fleck,
-John M. Flinchbaugh, Andy Gabor, Christian Garbs, Torsten Gesang,
-Ruediger Geys, Callum Gibson, Bjarni Ingi Gislason, Mike Glendinning,
-Igor Goryachev, Philippe Goujard, Dan Greenspan, Andrew Greer,
-Dennis Grevenstein, Karlo Gross, Carl Hage, Piers Haken, Paul Halsema,
-Joe Hansen, Ed Hanway, Scott Hauck, Christian Haul, James Hawtin, Philip Hazel,
-Per Headland, Arnold Hendriks, Daniel Hermans, Jose Herrero, Dave Hill,
-Tom Hite, Torsten Homeyer, Ulli Horlacher, Keith Howell, Tommy Hsieh,
+David Abbott, Earle F. Ake, Deniz Akkus, Russ Allbery, Steve Alvey, Matt Anton,
+Jack Applin, Orbby S. Arka, Stefan Assmann, Joachim Astel, Anton Aylward,
+Mark Ayzenshteyn, Jens Chr. Bachem, Michael Baeuerle, George Baltz,
+Dieter Baron, Volker Barthelmann, Kirk Bauer, Andreas Baumann, Paul Bauwens,
+Steve Beaty, Dieter Becker, Wolfgang Behrens, Fabrice Bellet, Greg Berigan,
+Enrik Berkhan, Juergen Bernau, Dan Berry, Michael Bienia, David Binderman,
+Thomas Bliem, Andrey Blochintsev, Chris Blum, Fokke de Boer, Henryk Bochmann,
+Andreas Borchert, Volker Borchert, Sebastian Bork, Mark Boucher, Robert Brady,
+Peter Breitenlohner, Jessica Brennan, Frederic Briere, Bill Brolik,
+Travis Brown, Herman ten Brugge, Jack Bryans, Martin Buck, Matthias Buelow,
+Jeremy Buhler, Tilman Burmester, Leila Burrell-Davis, Brett Carver, Sean Casey,
+Peter Castro, Troy Cauble, Wei-Lun Chao, Remus-Gabriel Chelu,
+Andrey A. Chernov, Albert Chin-A-Young, Park Chong-Dae, Tan Kwee Chuan,
+Boleslaw Ciesielski, Robert Claeson, Steven Cogswell, Don Costello,
+Joshua Crawford, Bryan Curnutt, Ned Danieley, Lars Dannenberg, Chris Davies,
+John Davis, Borislav Deianov, Thomas E. Dickey, Martin Dickopp, Olaf Dietrich,
+Herbert Martin Dietze, Theo Van Dinter, Ralf Doeblitz, Bryan Dongray,
+Michael Douglass, Nickolay Dudorov, Craig Durland, Bernd Eckenfels, Phil Edge,
+Kirk Edson, Phil Edwards, Nick Efthymiou, Stefan Elf, Nigel Ellis,
+Andrei Emeltchenko, L. Scott Emmons, Rob Engle, Olle Eriksson, Brent Ermlick,
+Bernd Ernesti, Ragnar Hojland Espinosa, Jason Faultless, Michael Faurot,
+Werner Fleck, John M. Flinchbaugh, Bill Frolik, Andy Gabor, Christian Garbs,
+Jeff M. Garzik, Torsten Gesang, Helmut Geyer, Ruediger Geys, Callum Gibson,
+Bjarni Ingi Gislason, Mike Glendinning, Igor Goryachev, Philippe Goujard,
+Dan Greenspan, Andrew Greer, Dennis Grevenstein, Karlo Gross, Carl Hage,
+Bruce Hague, Bruno Haible, Piers Haken, Paul Halsema, Joe Hansen, Ed Hanway,
+Scott Hauck, Christian Haul, James Hawtin, Philip Hazel, Per Headland,
+Arnold Hendriks, Daniel Hermans, Jose Herrero, Dave Hill, Tom Hite,
+Torsten Homeyer, Mike Holmes, Ulli Horlacher, Keith Howell, Tommy Hsieh,
 Shih-Kun Huang, Steve Hunt, Jeff Hurwitt, Jeon Hyoung-Jo, Ali Ibraimi,
 Pieter Immelman, Jarkko Isokungas, Marco d'Itri, Patrick St. Jean,
 Hal Jespersen, Park Sang Jin, Robbin Johnson, Jarkko Jormanainen, Yury July,
 Nelson Kading, Geoffrey Keating, Karsten Keil, Charles S. Kerr, Fritz Kleeman,
 Andreas Kies, Janne Kiviluoto, Tomasz Kloczko, Dwarven Knight, Thomas Koenig,
-Karl-Koenig Koenigsson, Sebnem Korkmaz, Martin Kraemer, Gerald Krause,
-Thomas Kroener, Piotr Kucharski, Florian Kuehnert, Bernd Kuemmerlen,
-Kris Kugel, Stephan Kulow, Manoj Kumar, Dawid Kuroczko, Yuri Kuzmenko,
-Olivier Lacroix, Geoff Lane, Alex Lange, Alain Lasserre, Stanislav Latishko,
-Hannu Laurila, Yen-Ming Lee, Vincent Lefevre, Alexander Lehmann, Marty Leisner,
-Thomas Leitner, Hakan Lennestal, Kevin Lentin, Chua Choon Leong, Chris Lewis,
-Andreas Ley, David-Michael Lincke, Otto Lind, Brad Littlejohn, Richard Lloyd,
+Karl-Koenig Koenigsson, Sebnem Korkmaz, Martin Kraemer, Paul Kramer,
+Gerald Krause, Thomas Kroener, Piotr Kucharski, Florian Kuehnert,
+Bernd Kuemmerlen, Kris Kugel, Markus Kuhn, Stephan Kulow, Manoj Kumar,
+Dawid Kuroczko, Yuri Kuzmenko, Olivier Lacroix, Geoff Lane, Alex Lange,
+Alain Lasserre, Stanislav Latishko, Hannu Laurila, Yen-Ming Lee,
+Vincent Lefevre, Alexander Lehmann, Marty Leisner, Thomas Leitner,
+Hakan Lennestal, Kevin Lentin, Chua Choon Leong, Chris Lewis, Andreas Ley,
+David-Michael Lincke, Otto Lind, Brad Littlejohn, Richard Lloyd,
 Florian Lohoff, Reinhard Luebke, Clifford Luke, Michael Lupp, David MacKenzie,
-Hugh Mahon, Giuseppe De Marco, Scott Marovich, Dmitri A. Martynoff,
-Kazushi Marukawa, Timur Maryin, William McBrine, Geoff McCaughan, Owen Medd,
-Philipp Mergenthaler, Andreas Metzler, Arkadiusz Miskiewicz, Soren Moller,
-Bruce Momjian, Sergio Morales, Michael Morrell, Klaus Mueller, Mike Muise,
-Udo Munk, Steven Michael Murphy, John R. Myers, Daniel Naber, Torsten Neumann,
-Dirk Nimmich, James Nugen, Daniel Nylander, David E. O'Brien, Michael O'Reilly,
-Oleg Ohotnikov, Ronald Orr, Julien Oster, Guido Ostkamp, Philip Paeps,
-Jeb Palmer, Neil Parker, Joseph Parmelee, Tom Parry, Jim Patterson,
-Sven Paulus, Walter Pelissero, Cameron Perkins, Colin Perkins, Eric Peterson,
-Tim Pierce, Bill Poitras, Scott W. Powers, Wolfgang Prediger, Dennis Preiser,
-Marc Prud'hommeaux, GianPiero Puccioni, Antonio Querubin, Thomas Quinot,
-Stefan Rapp, Martin Reising, Kyle Rhorer, Ted Richards, Arnold D. Robbins,
-Steve Robbins, Ollivier Robert, Branden Robinson, Jim Robinson,
-Thomas Roessler, Erik van Roode, Meelis Roos, Stephen Roseman,
+Steven J. Madsen, Hugh Mahon, Giuseppe De Marco, Scott Marovich,
+Dmitri A. Martynoff, Kazushi Marukawa, Timur Maryin, William McBrine,
+Geoff McCaughan, Owen Medd, Philipp Mergenthaler, Andreas Metzler, Harald Milz,
+Arkadiusz Miskiewicz, Olaf Mittelstaedt, Soren Moller, Phil Molyneux,
+Bruce Momjian, Sergio Morales, Michael Morrell, James Morris, Klaus Mueller,
+Mike Muise, Udo Munk, Steven Michael Murphy, John R. Myers, Daniel Naber,
+Torsten Neumann, Dirk Nimmich, James Nugen, Daniel Nylander, David E. O'Brien,
+Michael O'Reilly, Oleg Ohotnikov, Ronald Orr, Julien Oster, Guido Ostkamp,
+Philip Paeps, Jeb Palmer, Neil Parker, Joseph Parmelee, Tom Parry,
+Jim Patterson, Sven Paulus, Walter Pelissero, Cameron Perkins, Colin Perkins,
+Richard Perlman, Eric Peterson, Tim Pierce, Bill Potrais, Scott W. Powers,
+Gerry Pratt, Wolfgang Prediger, Dennis Preiser, Marc Prud'hommeaux,
+GianPiero Puccioni, Antonio Querubin, Thomas Quinot, Stefan Rapp,
+Martin Reising, Kyle Rhorer, Ted Richards, Tim Rice, Prentiss Riddle,
+Arnold D. Robbins, Steve Robbins, Ollivier Robert, Branden Robinson,
+Jim Robinson, Thomas Roessler, Erik van Roode, Meelis Roos, Stephen Roseman,
 Roland Rosenfeld, Peter Van Rossem, Clifton Royston, Rado S., Juergen Salk,
-Aleksey Salow, Rich Salz, Gary Sanders, Nickolay Saukh, John Sauter,
-Christopher Sawtell, Holger Schif, Volker Schmidt, John Schmitz,
+Aleksey Salow, Rich Salz, Gary Sanders, Malkani Sanjay, Nickolay Saukh,
+John Sauter, Christopher Sawtell, Holger Schif, Volker Schmidt, John Schmitz,
 Torsten Schneider, Stefan Scholl, Rainer Scholz, Juergen Schroeder,
-Larry Schwimmer, Randy Scott, Bart Sears, Karl-Olav Serrander,
-Francisco Javier Serrador, Ozge Sevinc, Doug Sewell, Chung-chieh Shan,
-Philip Shearer, Jungshik Shin, Sergey Shkonda, Andreas Siegert,
-Andrey Simonenko, Mark Smith, Toomas Soome, Steve Spearman, Glenn Spell,
-Helmut Springer, Cliff Stanford, Steve Starck, Jason Steiner, Ralf Stephan,
-Michael Stenns, Helmrich Streitmatter, Hans Werner Strube, Dieter Stueken,
-Ed Sznyter, Lech Szychowski, Dean Takemori, Darrell Tangman, Derek Terveer,
-Carsten Theis, Julian Thompson, David Tiller, Andry Timonin,
+Larry Schwimmer, Dave Schweisguth, Randy Scott, Bart Sears,
+Karl-Olav Serrander, Francisco Javier Serrador, Ozge Sevinc, Doug Sewell,
+Chung-chieh Shan, Philip Shearer, Jungshik Shin, Sergey Shkonda,
+Andreas Siegert, Alan Silverstein, Andrey Simonenko, Mark Smith, Toomas Soome,
+Steve Spearman, Glenn Spell, Helmut Springer, Cliff Stanford, Richard Stanton,
+Steve Starck, Jason Steiner, Ralf W. Stephan, Michael Stenns,
+Helmrich Streitmatter, Hans Werner Strube, Dieter Stueken, Ed Sznyter,
+Lech Szychowski, Dean Takemori, Toomas Tamm, Darrell Tangman, Derek Terveer,
+Carsten Theis, Alan Thew, Julian Thompson, David Tiller, Andry Timonin,
 Elmar W. Tischhauser, Mark Tomlin, Mark Tomlinson, Michael Traub,
 Martin Treusch von Buttlar, Mark Trumbull, Alex Vasylenko, Michael Velten,
-Adri Verhoef, Paul Vickers, Corinna Vinschen, Mingye Wang, Oliver B. Warzecha,
-Florian Weimer, Christian Weisgerber, Jason Wessel, Cary Whitney, Henrik Wist,
-Greg Woods, Andreas Wrede, Lloyd Wright, Jens Wuepper, Herbert Xu, Billy Y.,
-Hideaki Yoshfuji, Nickolai Zeldovich, Zbigniew Zych
+Adri Verhoef, Paul Vickers, Corinna Vinschen, Mark Walker, Mingye Wang,
+Oliver B. Warzecha, Florian Weimer, Christian Weisgerber, Jason Wessel,
+Cary Whitney, Henrik Wist, Greg Woods, Andreas Wrede, Lloyd Wright,
+Jens Wuepper, Herbert Xu, Billy Y., Hideaki Yoshfuji, Nickolai Zeldovich,
+Dan Zerkle, Zbigniew Zych
diff -Nurp '--exclude=.bzr*' tin-2.6.4/doc/INSTALL tin-2.6.5/doc/INSTALL
--- tin-2.6.4/doc/INSTALL	2024-12-04 06:16:26.000000000 +0100
+++ tin-2.6.5/doc/INSTALL	2025-08-04 13:05:41.642381922 +0200
@@ -20,7 +20,7 @@ The following configure options and defi
   --enable-8bit-keys                      --program-suffix
   --enable-append-pid                     --program-transform-name
   --disable-break-long-lines              --with-coffee
-  --enable-broken-listgroup-fix           --with-curses-dir
+                                          --with-curses-dir
   --enable-broken-system-fix              --with-dbmalloc
   --enable-cancel-locks                   --with-canlock
                                           --with-defaults-dir
@@ -50,11 +50,11 @@ The following configure options and defi
   --enable-prototypes                     --with-pgpk
   --enable-shell-escape                   --with-screen
   --enable-warnings                       --with-shell
-  --enable-xhdr-xref                      --with-spooldir
-  --exec-prefix                           
-  --mandir                                --with-socks
-                                          --with-socks5
+                                          --with-spooldir
+  --exec-prefix                           --with-socks
+  --mandir                                --with-socks5
                                           --with-trace
+                                          --with-url-normalization
                                           --with-zlib
 
   ENFORCE_RFC1034                         HAVE_UUDEVIEW_H
@@ -63,11 +63,13 @@ The following configure options and defi
   FORGERY                                 PROFILE
   REQUIRE_BRACKETS_IN_DOMAIN_LITERAL      SMALL_MEMORY_MACHINE
   HAVE_LIBUU                              REREAD_ACTIVE_FILE_SECS
-  HAVE_BROKEN_SSCANF                      DISABLE_PIPELINING
+  HAVE_BROKEN_SSCANF
   OPTIMIZE_JUST_STAR                      MATCH_TAR_PATTERN
   MIN_COLUMNS_ON_TERMINAL                 MIN_LINES_ON_TERMINAL
   MAXARTNUM                               REPRODUCIBLE_BUILD
-
+  INLINE_DEBUG_MIME                       DEBUG_UCNV
+  DEBUG_ART                               FILE_MODE_BROKEN
+  BACKUP_FILE_EXT
 
 Not yet documented configure options and defines:
 -------------------------------------------------
@@ -78,11 +80,6 @@ Networking related
   DECNET  - e.g. VMS, Ultrix, ...
   EXCELAN - e.g. VxWorks
 
-TIN related:
-  BACKUP_FILE_EXT (see misc.c:invoke_editor())
-  FILE_MODE_BROKEN                        NO_LOCKING
-  DEBUG_ART                               DEBUG_UCNV
-
 System related:
   --datadir                               --localstatedir
   --includedir                            --oldincludedir
@@ -276,16 +273,6 @@ when using libtls or gnutls.
 Defines the name of the default NNTP server that tin should connect to.
 Can be overridden by setting the environment variable NNTPSERVER.
 
---enable-broken-listgroup-fix (default: off)
-Bypass a bug in some broken NNTPservers which need an extra GROUP command
-before accepting a LISTGROUP command. This can be also used to bypass the
-bug in some servers (i.e. DeleGate, SurgeNews) where LISTGROUP doesn't
-select the group and thus subsequent cmds. fail.
-
---enable-xhdr-xref (default: on)
-If disabled, don't allow using XHDR XREF if XOVER doesn't work to mark
-crossposted articles as read in all groups.
-
 The following options determine which locking method should be used when
 appending posted or postponed messages to mailbox-style files. Tin will
 try each method that can be configured, in succession. If none of your
@@ -310,9 +297,6 @@ time they use tin.
 NNTP_SERVER_FILE (default: /etc/nntpserver)
 Only define if your NNTP-server file is other than /etc/nntpserver.
 
-DISABLE_PIPELINING
-Define if your newsserver can't handle pipelined commands.
-
 --enable-long-article-numbers (default: off)
 Add code to handle huge (>2^31) article numbers, such article numbers violate
 the NNTP RFC and support for them may sensible increases tins memory usage.
@@ -572,6 +556,11 @@ containing the include- and lib-director
 If you do not specify a PATH, the makefile will use the standard
 locations for this library.
 
+--with-url-normalization[=[uriparser,curl] (default: yes)
+Apply Syntax-Based Normalization (RFC 3986 6.2.2) to detected URLs
+before passing them to url_handler. Requires --with-pkg-config and
+either liburiparser or libcurl.
+
 --enable-heapsort (default: on)
 Enable heapsort(3) as alternative to qsort(3). In large groups with a long
 retention and long threads this may be a performance win as the data in
@@ -754,7 +743,26 @@ $CPPFLAGS and $LDFLAGS in the binary. Th
 reproducible builds.
 
 INLINE_DEBUG_MIME
-experimental, if set show (some) MIME (parse) errors/info inline.
+experimental, if set show (some) MIME or yenc (parse) errors/info inline.
+
+DEBUG_UCNV
+additional debug messages for ucnv_*-functions (e.g. charset guessing),
+requires DEBUG and is for development only.
+
+DEBUG_ART
+additional debug messages for article decoding/cooking, for development only.
+
+FILE_MODE_BROKEN
+define if st_mode of stat() is not reliable
+
+NO_LOCKING
+define if (dot)locking should be skipped, should be used as a last resort
+if none of the locking schemes fcntl, lockf or flock works. See also
+--disable-fcntl, --enable-lockf and --enable-flock
+
+BACKUP_FILE_EXT
+extension used for temporary backup files. set in misc.c:invoke_editor()
+to ".b"
 
 License
 -------
